//版型配置AIAX選單
function neothemesadmin_configuration(cval) {
            $.ajax({
                url: xoopsjsurl + '/modules/neothemesadmin/ajax.php',
                type: 'POST',
                data: {
                    id: 9,
                    dbid: cval                    	
                },
                cache: false,
                ifModified: true,
                async: false,
                success: function(response) {
              $('#deploybox').html(response);
                },
                error: function() {
                    console.log('ajax error!');
                }
            })
}



//指定播放廣告
function neothemesadmin_specifiedtoplay(dbname,idname) {
    $(".adenableeach").each(function(index) {
        $("#" + $(this).attr("id") + "").click(function() {
            $.ajax({
                url: xoopsjsurl + '/modules/neothemesadmin/ajax.php',
                type: 'POST',
                data: {
                    id: 4,
                    dbid: $(this).val(),
                    dbname: dbname,
                    idname: idname
                },
                cache: false,
                ifModified: true,
                async: false,
                success: function(response) {
                    swal("已變更播放中廣告", "Playing ad changed")
                },
                error: function() {
                    console.log('ajax error!');
                }
            })
        });
    });
}

//右下浮動廣告功能設定
function neothemesadmin_lowerrightad_ny() {
    $("body").on("click", ".popbtn", function() {
        $.ajax({
            url: xoopsjsurl + '/modules/neothemesadmin/ajax.php',
            type: 'POST',
            data: {
                id: '5',
                enable: $('input[name=neothemesadmin8]:checked').val(),
                way: $('input[name=neothemesadmin9]:checked').val()
            },
            success: function(response) {
                swal("操作成功!", "彈出廣告設定已更新!!", "success");
            },
            error: function() {
                console.log('ajax error!');
            }
        })
    })
}



//彈出廣告功能設定
function neothemesadmin_popupfeature_ny() {
    $("body").on("click", ".popbtn", function() {
        $.ajax({
            url: xoopsjsurl + '/modules/neothemesadmin/ajax.php',
            type: 'POST',
            data: {
                id: '3',
                enable: $('input[name=neothemesadmin5]:checked').val(),
                way: $('input[name=neothemesadmin7]:checked').val()
            },
            success: function(response) {
                swal("操作成功!", "彈出廣告設定已更新!!", "success");
            },
            error: function() {
                console.log('ajax error!');
            }
        })
    })
}





//自訂按鈕-ajax讀取選單
function custombuttonunction() {
  //預設值
  if ($("#btntype").find(':selected').data('id') == '0') {
    $("#sortidboxhidden").html("<input type='hidden' name='options[0]'  value='0'>");
  }
  if ($("#btntype").find(':selected').data('id') != 'img') {
      $("#btntextyn").hide();
  }
  
  //取得選單中數值
  $("body").on("change", "#btntype", function() {
    $selectid = $(this).find(':selected').data('id');
    if ($selectid == '0') {
      $("#sortidboxhidden").html("<input type='hidden' name='options[0]'  value='0'>");
    }
    if ($selectid == 'img') {
      $("#btntextyn").show();
    }else{
      $("#btntextyn").hide();
    }
    
    
    custombuttonunctionAjax($selectid);
  });
}

function custombuttonunctionAjax($selectid) {
  var $selectboxname = $("#sortidselectbox").attr("name");
  var $selectboxname_arr = $selectboxname.split(','); //切割陣列
  $selectid = (typeof($selectid) != 'undefined') ? $selectid : $selectboxname_arr[0];
  $sortid = (typeof($selectboxname_arr[1]) == 'undefined') ? 0 : $selectboxname_arr[1];
  $.ajax({
    url: xoopsjsurl + '/modules/neothemesadmin/ajax.php',
    type: 'POST',
    data: {
      id: '1',
      sortid: $sortid,
      btntype: $selectid
    },
    success: function(response) {
      $('#sortidselectbox').html(response);
    },
    error: function() {
      console.log('ajax error!');
    }
  })
}

//佈景管理->多層選單空值欄位處理
function menulayers_emptyfield(){
//預設值
if (typeof($("#selectbox").find(':selected').data('id')) == 'undefined') {
  $("#sortidboxhidden").html("<input type='hidden' name='options[2]'  value='0'>");
}

$("body").on("change", "#selectbox", function() {
  if ($(this).val()) {
    $("#sortidboxhidden").html("<input type='hidden' name='options[2][]'  value='" + $(this).val() + "'>");
  } else {
    $("#sortidboxhidden").html("<input type='hidden' name='options[2]'  value='0'>");
  }
})
}


//分類刪除
$(document).ready(function() {
var  $deletename = $("#deletename").attr("mane");	
var  $deletename_arr = $deletename.split(',');  //切割陣列

$(".deleteeachArr").each(function(index) { //刪除關鍵字
var $deletebotton="#deletebotton" + $deletename_arr[index] + "";
var $deletetr="#deletetr" + $deletename_arr[index] + "";		
  $($deletebotton).click(function() {    

            $ajaxsetup = $($deletebotton).attr("mane");            
            var  $ajaxsetup_arr = $ajaxsetup.split(',');  //切割陣列
            var $id=$ajaxsetup_arr[0];  //ajax-ID
            var $dbid=$ajaxsetup_arr[1];  //db刪除欄位參數
            var $title=$ajaxsetup_arr[2]+$ajaxsetup_arr[3];  //刪除標題+說名文字  	
    	
       
            swal({
                    title: "您確定要刪除"+$title+"",                  
                    text: "這將會刪除這筆資料內容",
                    type: "warning",
                    showCancelButton: true,
                    closeOnConfirm: false,
                    confirmButtonText: "是的，我要刪除",
                    cancelButtonText: "取消刪除！",
                    confirmButtonColor: "#ec6c62"
                },
                function(isConfirm) {
                    if (isConfirm) {
                        $.ajax({
                            url: xoopsjsurl + '/modules/neillibrary/ajax.php',
                            type: 'POST',
                            data: {
                                id: $id,
                                dbid: $dbid                             
                            },
                             dataType: 'json',   //設為json
                             async: false,	 //設為false	 		
                        }).done(function(data) {
                        	 
                            swal("操作成功!", "已成功刪除資料！", "success");
                           $deletetrid=data; 
                          getMyArtic($deletetrid=$deletetrid);
                        }).error(function(data) {
                            swal("OMG", "刪除操作失敗了！", "error");
                        });
                    } else {
                        swal("取消！", "你的資料是安全的:)",
                            "error");
                    }

                    function getMyArtic($deletetrid) {

                        $(this).click(function() {
                            //	 location.reload()
                            
                          
                            $t = $($deletetrid);
                            $t.remove();
                        
                        });
                    }
                });


   });
});

});	




//ajax讀取選單
/*
$(document).ready(function(){

var  $selectid= $(this).find(':selected').data('id');     	
var  $selectboxname= $("#selectboxname").attr("mane");
var  $selectboxname_arr = $selectboxname.split(',');  //切割陣列
var  $selectidedit=$selectboxname_arr[0];
var  $status=$selectboxname_arr[1];	
var  $of_sortid=$selectboxname_arr[2];	
if($selectboxname_arr[0]!=''){
   ajaxcode($selectid,$status,$exchange,$selectidedit,$of_sortid);	 
}
var  $exchange=false;


	
	
  function ajaxcode($selectid,$status,$exchange,$selectidedit,$of_sortid) {  	

var  $modulesid= $("#modulesid").attr("name");


	 $.ajax({
    url: xoopsjsurl + '/modules/neillibrary/ajax.php',
    type: 'POST', 
      data: { id: '63',dbid: $selectid,selectid: 'default1',status: $status,exchange: $exchange,selectidedit: $selectidedit,of_sortid: $of_sortid,xoopsmodule: $modulesid},   
        success: function(response) {
      $('#selectbox').html(response); 
    }, 
    error: function() {
      console.log('ajax error!'); 
    }
 })
}	
	
	
//取得選單中數值
$("#default").change(function () { 
	
var  $selectboxname= $("#selectboxname").attr("mane");
var  $selectboxname_arr = $selectboxname.split(',');  //切割陣列	
var  $status=$selectboxname_arr[1];	
var  $exchange=true;
 $selectid= $(this).find(':selected').data('id');     
  //    alert($selectid);
 
  if($selectid!='0'){  
  ajaxcode($selectid,$status,$exchange);
}else{
$selectid= 1;	
  ajaxcode($selectid);
}
	});
});

*/


//ajax讀取選單

$(document).ready(function(){
var  $selectid= $(this).find(':selected').data('id');     	
var  $selectboxname= $("#selectboxname").attr("mane");

if(typeof($selectboxname) != 'undefined'){
var  $selectboxname_arr = $selectboxname.split(',');  //切割陣列

	
	
var  $selectidedit=$selectboxname_arr[0];
var  $status=$selectboxname_arr[1];	
var  $of_sortid=$selectboxname_arr[2];	


if($selectboxname_arr[0]!=''){
   ajaxcode($selectid,$status,$exchange,$selectidedit,$of_sortid);	 
}
var  $exchange=false;


	
	
function ajaxcode($selectid,$status,$exchange,$selectidedit,$of_sortid) {  	  
var  $selectboxname= $("#selectboxname").attr("mane");
var  $selectboxname_arr = $selectboxname.split(',');  //切割陣列	
var  $var1=$selectboxname_arr[3];	
 
var  $modulesidArr= $("#modulesid").attr("name");
var  $modulesidname_arr = $modulesidArr.split(',');  //切割陣列	

var  $modulesid=$modulesidname_arr[0];
var  $var2=$modulesidname_arr[1];
var  $type=$modulesidname_arr[2];
var  $var3=$modulesidname_arr[3];
var  $var4=$modulesidname_arr[4];


//	 alert($type);    
	 $.ajax({
    url: xoopsjsurl + '/modules/neillibrary/ajax.php',
    type: 'POST', 
    data: { id: '63',dbid: $selectid,selectid: 'default1',status: $status,exchange: $exchange,selectidedit: $selectidedit,of_sortid: $of_sortid,var1: $var1,xoopsmodule: $modulesid,var2: $var2,type: $type,var3: $var3,var4: $var4},
        success: function(response) {
      $('#selectbox').html(response); 
    }, 
    error: function() {
      console.log('ajax error!'); 
    }
 })
}	
}	
	
//取得選單中數值
$("#default").change(function () { 

//alert(123);


	
var  $selectboxname= $("#selectboxname").attr("mane");
var  $selectboxname_arr = $selectboxname.split(',');  //切割陣列	
var  $status=$selectboxname_arr[1];	
var  $exchange=true;

$selectid= $(this).find(':selected').data('id');   

if($selectid!='0'){  
ajaxcode($selectid,$status,$exchange);
}else{
$selectid= 0;	
ajaxcode($selectid);
}
	});
});



//選取全部分類內容
function neothemesadmin_checkboxfunction() {
  $("body").on("change", ".displayall", function() {
    if ($('#checkbox').val() == true) {
      $("#modulesort option").prop("selected", true);
      $('#checkbox').val(false);
    } else {
      $("#modulesort option").prop("selected", false);
      $('#checkbox').val(1);
    }
  })
}





$(document).ready(function () {
	
//預設值
if($('#range1:checked').val()=='alltaiwan'){
$("#sortidboxhidden").html("<input type='hidden' name='options[2]'  value='0'>"); 
}


	
    $('#range2').click(function () {
        $(".citynamelist").show(); 
        $("#sortidboxhidden").html("");             
    });
        $('#range1').click(function () {
        $(".citynamelist").hide();
      $("#sortidboxhidden").html("<input type='hidden' name='options[2]'  value='0'>"); 
    });
});





$(document).ready(function () {
    $('#sortimg').click(function () {
        if ($('#sortimg').val() == 0) {
            $('#sortimgicon').html("<span class='glyphicon glyphicon-ok' aria-hidden='true'></span>");
        }
        if ($('#sortimg').val() == 1) {
            $('#sortimgicon').html("<span class='glyphicon glyphicon-align-justify' aria-hidden='true'></span>");
        }

        if ($('#sortimg').val() == 2) {
            $('#sortimgicon').html("<span class='glyphicon glyphicon-chevron-right' aria-hidden='true'></span>");
        }

        if ($('#sortimg').val() == 3) {
            $('#sortimgicon').html("<span class='glyphicon glyphicon-arrow-right' aria-hidden='true'></span>");
        }

        if ($('#sortimg').val() == 4) {
            $('#sortimgicon').html("<span class='glyphicon glyphicon-hand-right' aria-hidden='true'></span>");
        }
        if ($('#sortimg').val() == 5) {
            $('#sortimgicon').html("<span class='glyphicon glyphicon-heart-empty' aria-hidden='true'></span>");
        }

        if ($('#sortimg').val() == 6) {
            $('#sortimgicon').html("<span class='glyphicon glyphicon-log-out' aria-hidden='true'></span>");
        }
        if ($('#sortimg').val() == 7) {
            $('#sortimgicon').html("<span class='glyphicon glyphicon-option-vertical' aria-hidden='true'></span>");
        }
          if ($('#sortimg').val() == 8) {
            $('#sortimgicon').html("<span class='glyphicon glyphicon-asterisk' aria-hidden='true'></span>");
        }
                if ($('#sortimg').val() == 9) {
            $('#sortimgicon').html("<span class='glyphicon glyphicon-plus' aria-hidden='true'></span>");
        }
  if ($('#sortimg').val() == 10) {
            $('#sortimgicon').html("<span class='glyphicon glyphicon-pencil' aria-hidden='true'></span>");
        }
    if ($('#sortimg').val() == 11) {
            $('#sortimgicon').html("<span class='glyphicon glyphicon-cog' aria-hidden='true'></span>");
        }   
        if ($('#sortimg').val() == 12) {
            $('#sortimgicon').html("<span class='glyphicon glyphicon-indent-left' aria-hidden='true'></span>");
        }  
           if ($('#sortimg').val() == 13) {
            $('#sortimgicon').html("<span class='glyphicon glyphicon-edit' aria-hidden='true'></span>");
        }   
              if ($('#sortimg').val() == 14) {
            $('#sortimgicon').html("<span class='glyphicon glyphicon-play' aria-hidden='true'></span>");
        }    
                      if ($('#sortimg').val() == 15) {
            $('#sortimgicon').html("<span class='glyphicon glyphicon-ok-sign' aria-hidden='true'></span>");
        }      
            if ($('#sortimg').val() == 16) {
            $('#sortimgicon').html("<span class='glyphicon glyphicon-paperclip' aria-hidden='true'></span>");
        }    
               if ($('#sortimg').val() == 17) {
            $('#sortimgicon').html("<span class='glyphicon glyphicon-grain' aria-hidden='true'></span>");
        }     
               if ($('#sortimg').val() == 18) {
            $('#sortimgicon').html("<span class='glyphicon glyphicon-play-circle' aria-hidden='true'></span>");
        } 
             if ($('#sortimg').val() == 19) {
            $('#sortimgicon').html("<span class='glyphicon glyphicon-circle-arrow-right' aria-hidden='true'></span>");
        } 
             if ($('#sortimg').val() == 20) {
            $('#sortimgicon').html("<span class='glyphicon glyphicon-record' aria-hidden='true'></span>");
        }                
    });
});


/*
$(document).ready(function () {


$("body").on("change", "#typesofbtn", function (){
if($(this).val()=='1'){
  $("#typesofbox").slideToggle("fast");  
  
     $('#modulesidselect').val(0); 	  
        $("#sortyn").hide();
        $("#variableid").hide();
     
}else{
  $("#typesofbox").slideToggle("fast"); 
}
    
})



$modulesid = $('#modulesidselect').val();
//$sortyn = $('#sortynselect').val();
$sortyn = $('#sortynselect').val();
$modulesFunction = function(){
    //預設值  

        if ($modulesid != 'tad_faq' && $modulesid != 'tad_idioms' && $modulesid != 'tad_lunch2' && $modulesid != 'tad_rss' && $modulesid != 'tad_tv' && $modulesid != 'tad_sitemap' && $modulesid != 'tad_cal' && $modulesid != 'tad_uploader' && $modulesid != 'tad_web' && $modulesid != 'tad_assignment' && $modulesid != 'neilcounselingrecord' && $modulesid != 'tad_lunch3' && $modulesid != 'jill_booking') {
            $('#sn').attr('disabled', false); //單頁
        } else {
            $('#sn').attr('disabled', true); //單頁
        }

        if ($modulesid != 'tad_form' && $modulesid != 'tad_honor' && $modulesid != 'tad_idioms' && $modulesid != 'tad_rss' && $modulesid != 'tinyd0' && $modulesid != 'tad_timeline' && $modulesid != 'tad_sitemap' && $modulesid != 'tad_meeting' && $modulesid != 'tad_web' && $modulesid != 'tad_evaluation' && $modulesid != 'tinyd1' && $modulesid != 'tinyd2' && $modulesid != 'neilcounselingrecord' && $modulesid != 'tad_lunch3' && $modulesid != 'jill_booking') {
            $('#sy').attr('disabled', false); //分類
        } else {
            $('#sy').attr('disabled', true); //分類
        }

}


$modulesswitch = function(){
        switch ($modulesid) {
        case 'tad_repair':
            if ($sortyn == 'y') { //分類
                $('#vid').text('輸入網址?後面的變數值"unit_menu_id="例如：unit_menu_id=1')
            }
            if ($sortyn == 'n') { //單頁
                $('#vid').text('輸入網址?後面的變數值"repair_sn="例如：repair_sn=1')
            }
            break;
        case 'tad_faq':
            if ($sortyn == 'y') { //分類
                $('#vid').text('輸入網址?後面的變數值"fcsn="例如：fcsn=1')
            }
            break;
        case 'tad_form':
            if ($sortyn == 'n') { //單頁
                $('#vid').text('輸入網址?後面的變數值"ofsn="例如：ofsn=1')
            }
            break;
        case 'tad_honor':
            if ($sortyn == 'n') { //單頁
                $('#vid').text('輸入網址?後面的變數值"honor_sn="例如：honor_sn=1')
            }
            break;
	  case 'tad_lunch2':
            if ($sortyn == 'y') { //分類
                $('#vid').text('輸入網址?後面的變數值"lunch_target="例如：lunch_target=測試')
            }
            break;	
	  case 'tad_tv':
            if ($sortyn == 'y') { //分類
                $('#vid').text('輸入網址?後面的變數值"player="例如：player=sewise')
            }
            break;	
	  case 'tinyd0':
            if ($sortyn == 'n') { //單頁
                $('#vid').text('輸入網址?後面的變數值"id="例如：id=1')
            }
            break;		
  	  case 'tinyd1':
            if ($sortyn == 'n') { //單頁
                $('#vid').text('輸入網址?後面的變數值"id="例如：id=1')
            }
            break;	
   	  case 'tinyd2':
            if ($sortyn == 'n') { //單頁
                $('#vid').text('輸入網址?後面的變數值"id="例如：id=1')
            }
            break;	
        case 'neilvideosvote':
            if ($sortyn == 'y') { //分類
                $('#vid').text('輸入網址?後面的變數值"cat_id="例如：cat_id=1')
            }
            if ($sortyn == 'n') { //單頁
                $('#vid').text('輸入網址?後面的變數值"item_id="例如：item_id=1')
            }
            break;	
	  case 'tad_timeline':
            if ($sortyn == 'n') { //單頁
                $('#vid').text('輸入網址?後面的變數值"timeline_sn="例如：timeline_sn=1')
            }
            break;	
	        case 'tadnews':
            if ($sortyn == 'y') { //分類
                $('#vid').text('輸入網址?後面的變數值"ncsn="例如：ncsn=1，可輸入的變數$ncsn,$tag_sn')
            }
            if ($sortyn == 'n') { //單頁
                $('#vid').text('輸入網址?後面的變數值"nsn="例如：nsn=1')
            }
            break;	
			
	        case 'tadgallery':
            if ($sortyn == 'y') { //分類
                $('#vid').text('輸入網址?後面的變數值"csn="例如：csn=1')
            }
            if ($sortyn == 'n') { //單頁
                $('#vid').text('輸入網址?後面的變數值"sn="例如：sn=1')
            }
            break;	
	  case 'tad_cal':
            if ($sortyn == 'y') { //分類
                $('#vid').text('輸入網址?後面的變數值"cate_sn="例如：cate_sn=1')
            }
            break;	
	  case 'tad_uploader':
            if ($sortyn == 'y') { //分類
                $('#vid').text('輸入網址?後面的變數值"of_cat_sn="例如：of_cat_sn=1')
            }
            break;		
	        case 'tad_link':
            if ($sortyn == 'y') { //分類
                $('#vid').text('輸入網址?後面的變數值"cate_sn="例如：cate_sn=1')
            }
            if ($sortyn == 'n') { //單頁
                $('#vid').text('輸入網址?後面的變數值"link_sn="例如：link_sn=1')
            }
            break;	
		        case 'tad_player':
            if ($sortyn == 'y') { //分類
                $('#vid').text('輸入網址?後面的變數值"pcsn="例如：pcsn=1')
            }
            if ($sortyn == 'n') { //單頁
                $('#vid').text('輸入網址?後面的變數值"psn="例如：psn=1')
            }
            break;
		        case 'tad_book3':
            if ($sortyn == 'y') { //分類
                $('#vid').text('輸入網址&後面的變數值"tbsn="例如：tbsn=1')
            }
            if ($sortyn == 'n') { //單頁
                $('#vid').text('輸入網址?後面的變數值"tbdsn="例如：tbdsn=1')
            }
            break;		
		
	  case 'tad_meeting':
            if ($sortyn == 'n') { //單頁
                $('#vid').text('輸入網址?後面的變數值"tad_meeting_sn="例如：tad_meeting_sn=1')
            }
            break;	
		        case 'tad_discuss':
            if ($sortyn == 'y') { //分類
                $('#vid').text('輸入網址?後面的變數值"BoardID="例如：BoardID=1')
            }
            if ($sortyn == 'n') { //單頁
                $('#vid').text('輸入網址?後面的變數值"DiscussID="例如：DiscussID=1')
            }
            break;			
	  case 'tad_evaluation':
            if ($sortyn == 'n') { //單頁
                $('#vid').text('輸入網址?後面的變數值"evaluation_sn="例如：evaluation_sn=1')
            }
            break;		
		
			  case 'tad_assignment':
            if ($sortyn == 'y') { //分類
                $('#vid').text('輸入網址?後面的變數值"assn="例如：assn=1')
            }
            break;	
		     case 'neilhonorlist':
            if ($sortyn == 'y') { //分類
                $('#vid').text('輸入網址?後面的變數值"honor_id="例如：honor_id=1')
            }
            if ($sortyn == 'n') { //單頁
                $('#vid').text('輸入網址?後面的變數值"hc_id="例如：hc_id=1')
            }
            break;	
               case 'neilofficebriefing':
            if ($sortyn == 'y') { //分類
                $('#vid').text('輸入網址?後面的變數值"sortid="例如：sortid=1')
            }
            if ($sortyn == 'n') { //單頁
                $('#vid').text('輸入網址?後面的變數值"officeid="例如：fficeid=1')
            }
           break;	
            
               case 'neilcurriculum':
            if ($sortyn == 'y') { //分類
                $('#vid').text('輸入網址?後面的變數值"sortid="例如：sortid=1')
            }
            if ($sortyn == 'n') { //單頁
                $('#vid').text('輸入網址?後面的變數值"curriculumid="例如：curriculumid=1')
            }
            
            break;	
               case 'neilproduct':
            if ($sortyn == 'y') { //分類
                $('#vid').text('輸入網址?後面的變數值"sortid="例如：sortid=1')
            }
            if ($sortyn == 'n') { //單頁
                $('#vid').text('輸入網址?後面的變數值"productid="例如：productid=1')
            }
            
            break;            
            
            
                case 'neilalbum':
            if ($sortyn == 'y') { //分類
                $('#vid').text('輸入網址?後面的變數值"of_sortid="例如：of_sortid=1')
            }
            if ($sortyn == 'n') { //單頁
                $('#vid').text('輸入網址?後面的變數值"centerid="例如：centerid=1')
            }
            
            break; 
            
                           case 'neilonlinevideo':
            if ($sortyn == 'y') { //分類
                $('#vid').text('輸入網址?後面的變數值"of_sortid="例如：of_sortid=1')
            }
            if ($sortyn == 'n') { //單頁
                $('#vid').text('輸入網址?後面的變數值"centerid="例如：centerid=1')
            }
            
            break;     
                      				
            																														
        default:
            $('#vid').text('')
        }


}
//預設值輸出
$modulesFunction();
$modulesswitch();
	
  //  $("#modulesidselect").click(function () {
    $("body").on("change", "#modulesidselect", function (){	
        $modulesid = $('#modulesidselect').val();

       

        if ($modulesid != 0) {
            $("#sortyn").show();
        }
        if ($modulesid == 0) {
            $("#sortyn").hide();
        }

$modulesFunction();

      $('#vid').text('')

     $('#sortynselect').val(0);
       $("#variableid").hide();

    });


    $sortyn = $('#sortynselect').val();
    if ($sortyn == 'z') {
        $("#variableid").hide();
    }




  //  $("#sortynselect").click(function () {
        $("body").on("change", "#sortynselect", function (){		
    	
          $("#variableidinput").val(''); 
        $sortyn = $('#sortynselect').val();
        $modulesid = $('#modulesidselect').val();
      
        
	// alert($sortyn);
		
        if ($sortyn != 0 || $sortyn != 'z') {
            $("#variableid").show();

        }
        if ($sortyn == 0 || $sortyn == 'z') {
            $("#variableid").hide();
        }



$modulesswitch();


    });


}); 

*/
